# SetValue

The SetValue function allows for assigning a value to an object (e.g. x=1). Use this function when you want to assign a value to an object that you need to refer to further down in your Function.

If you have an Integer type, you can use SetValue to count the number of times a function looped by adding 1 to the Integer in the loop using the SetValue function. You can also use SetValue to build up a string in your Function by adding characters to the String using SetValue or replace the entire string with a new one.

You can also use a *Type* and assign an entire object to that type, as long as the object looks like the type.

***

## Properties

### Target

The object you wish to assign the value to.

### Source

The value that you want to assign to the target.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/linx/content/setvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
